Subject: Re: [PATCH 1/1] bridge: remove BR_GROUPFWD_RESTRICTED for arbitrary forwarding of reserved addresses

From: Richard Weinberger <[email-masked]>
Date: Tue, 02 Oct 2018 17:56:41 +0200

Nikolay,

Am Dienstag, 2. Oktober 2018, 16:59:31 CEST schrieb Nikolay Aleksandrov:
> Richard please check commit:
> commit 5af48b59f35c
> Author: Nikolay Aleksandrov <[email-masked]>
> Date:   Wed Sep 27 16:12:44 2017 +0300
> 
>     net: bridge: add per-port group_fwd_mask with less restrictions
>     
>     We need to be able to transparently forward most link-local frames via
>     tunnels (e.g. vxlan, qinq). Currently the bridge's group_fwd_mask has a
>     mask which restricts the forwarding of STP and LACP, but we need to be able
>     to forward these over tunnels and control that forwarding on a per-port
>     basis thus add a new per-port group_fwd_mask option which only disallows
>     mac pause frames to be forwarded (they're always dropped anyway).
>     The patch does not change the current default situation - all of the others
>     are still restricted unless configured for forwarding.
>     We have successfully tested this patch with LACP and STP forwarding over
>     VxLAN and qinq tunnels.
>     
>     Signed-off-by: Nikolay Aleksandrov <[email-masked]>
>     Signed-off-by: David S. Miller <[email-masked]>
> 
> 
> Will this work for you ?
> It's in the bridge since v4.15.

Hmm, I *think* this is exactly what I need.
To understand it correctly, I have to set per port group_fwd_mask for both slaves
of the bridge then it will forward anything (except for PAUSE frames)?

Is there a reason why this knob is not documented in Documentation/ABI/testing/sysfs-class-net?

Thanks,
//richard